local acutil = require('acutil');

ui.SysMsg("Input switcher ~'ㅅ')~ 도움말: /inputswitch")
function INPUTSWITCH_ON_INIT(addon, frame)
	acutil.slashCommand('/inputswitch',inputSwitch_parse);
end

function inputSwitch_parse(command)
	local cmd = table.remove(command,1);
	if (cmd == 'kb') then
		config.ChangeXMLConfig("ControlMode", 2);
		return ui.SysMsg('키보드 모드로 바꿨습니다.');
	end
	if (cmd == 'mouse') then
		config.ChangeXMLConfig("ControlMode", 3);
		return ui.SysMsg('마우스 모드로 바꿨습니다.')
	end
	if (cmd == 'toggle') then
		if config.GetXMLConfig("ControlMode") == 3 then
			config.ChangeXMLConfig("ControlMode", 2)
			return ui.SysMsg('키보드 모드로 바꿨습니다.')
		end
		config.ChangeXMLConfig("ControlMode", 3)
		return ui.SysMsg('마우스 모드로 바꿨습니다.')
	end
	return ui.SysMsg('종류: /inputswitch kb - 키보드 모드, /inputswitch mouse - 마우스 모드, /inputswitch toggle 키보드와 마우스 모드 순서대로 전환')
end